Subject: [ippm] optimize the IOAM YANG data model

From: Tianran Zhou <[email-masked]>
Date: Wed, 21 Mar 2018 15:02:14 +0000

Hi Folks,

Thanks Greg to point out the flexibility of sub-profiles on the meeting. Here I would like to discuss the way to optimize this point for the IOAM YANG as described in:
https://datatracker.ietf.org/doc/draft-zhou-ippm-ioam-yang/

Although, as suggested, schema mount could help to dynamically mount sub-profiles to the IOAM configuration, IMHO, it may lead to the fragmentation of the model, I.e., several modules. And I cannot see the possibility to reuse the sub-profiles, except to this model.

With the same requirement, I would suggest to use "feature" to enable the supported IOAM encapsulation types. And use the "enable" within each sub-profile to indicate the actual used sub-profile by the instance.

Now four encapsulation types are supported according to the latest IOAM data specification. We may augment the model with more sub-profiles.

Thoughts?

Thanks,
Tianran